CLIMM(1)

NAME
climm - a small, text mode ICQ client

SYNOPSIS
climm [-h] [-c] [-b <basedir>] [-i <locale>] [-v[level]] [-l <logplace>] [-u <UIN>] [-p <passwd>] [-s <status>] [-C <commands>]

DESCRIPTION
climm is a text based ICQ client supporting many of the ICQ features provided by the client by Mirabilis. climm allows to change the user password, create new accounts, updating user info, search other users, send SMS, open direct connections, send acknowledged messages, transfer files, detect other user's client, send UTF-8 encoded messages, execute arbitrary commands upon any event, etc.

OPTIONS

-h|--help
    Display a short help text and exit.

-c|--nocolor
    Disable the use of color.

-b|--basedir <basedir>
    Specify basedir as the base directory where climm will look for its files, in particular its climmrc file.

-i|--i18n <locale>
    Use the locale locale instead of the one derived from environment variables.

-v|--verbose[level]
    Set verbose mode, or set verbosity to level.

-l|--logplace <file>|<dir>
    Use file as file to write log into, or use dir as a directory to create per user log files in.

-u|--uin <uin>
    Login with uin only. Maybe repeated.

-p|--passwd <passwd>
    Login with passwd as password. Maybe repeated for each -u switch, or single.

-s|--status <status>
    Login with status as status, which may be given numerically or inv, dnd, occ, na, away, ffc, or off[line].

-C|--cmd <commands>
    Execute climm commands cmds after login instead of the default eg command.

USAGE
Upon first start (for the given base directory), climm will ask for a UIN, or create a new one. After the first login, the server based contact list will be imported automatically.
Basic commands include msg to message other contacts (try pressing the <tab> key several times on an empty input line to bring up msg commands to message contacts recently talked to), add to add new contacts, update, other, and about to change your meta data on the ICQ server, and, of course, help for online help. A complete list of commands is available in the climmcmds(7) man page.

FEATURES
climm is very portable and runs on Linux, DOS, OS/2, Win32, BeOS, AmigaOS, GNU HURD and any other modern unix system. climm version 0.5 is known to run on Linux, AIX, HPUX, Tru64, AmigaOS, partially BeOS and other unices. However, the other ports may or may not still work and anyone wishing to test them is welcome to.

HISTORY

16 Aug 1998
    Matthew D. Smith releases climm unto the world. Followed by 12 dated releases until 25 Sept 1998.

05 Jan 2001
    Matthew D. Smith died in a car accident. Users pick up where Matthew left off, formalize climm under the BSD license and restart the development of climm.

10 June 2002
    Version 0.4.9 is released under the GPL licence, finally implementing the new version 8 of the ICQ protocol, done by Rüdiger Kuhlmann.

MAILING-LIST
The climm mailing list is climm-list@climm.org. Information about subscribing and archives is available at http://www.climm.org/pipermail/climm-list/.

DOWNLOAD
Via HTTP from http://www.climm.org/download.
To get the newest version from CVS, enter:
cvs -d:pserver:anonymous@climm.org:/var/lib/cvs co climm

SEE ALSO
climmrc(5), climmcmds(7)

FILES

~/.climmrc
    Old configuration file for climm - obsolete.

~/.climm/
    The default base directory where climm looks for its files.

BASE/climmrc
    Configuration file for climm. Contains global configuration.

BASE/status
    Configuration file for climm. Contains contacts list and contact options.

BASE/i18n/*.i18n
    Local overrides for climm's translation files.

~/.climm/i18n/*.i18n
    Local overrides for climm's translation files.

BASE/contacts/
    Directory where meta data for contacts is stored.

BASE/history/
    Default directory for log files.

BASE/files/
    Directory where incoming file transfers are saved.

BASE/remote-control
    Old default location of the FIFO used for scripting. Renamed as it confused lusers.

BASE/scripting
    Default location of the FIFO used for scripting.

PREFIX/share/climm/*.i18n
    Internationalization files containing translations of all strings climm outputs.

BUGS
Send bug reports or comments to Rüdiger Kuhlmann <climm@ruediger-kuhlmann.de> (in German or English).

AUTHOR
This manual page was derived by James Morrison <ja2morrison@student.math.uwaterloo.ca> from the minimal man page written by Jordi Mallach <jordi@sindominio.net> for the Debian GNU/Linux system and later kept up-to-date by <climm@ruediger-kuhlmann.de>.